Bug 26139 - Navigation.RemovePage() still shows the back button on Android
Summary: Navigation.RemovePage() still shows the back button on Android
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 1.3.1
Hardware: PC Mac OS
: Normal normal
Target Milestone: 1.3.3
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2015-01-17 19:20 UTC by Cody Beyer (MSFT)
Modified: 2015-02-04 05:28 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Cody Beyer (MSFT) 2015-01-17 19:20:26 UTC
### Description

Using Navigation.RemovePage on the Android, still shows the back button in the Navigation bar even through there is no page to go back too.

### Video

https://www.dropbox.com/s/2fjn9t633kwt0fe/RemovePlease.mov?dl=0

### Test Case

https://www.dropbox.com/s/gehnyap3vizy3lx/LoginDemo.zip?dl=0

### Steps to Reproduce

1. Download test case
2. Run in simulator
3. Click Login

### Expected Results

There should be no back button in the nav bar

### Actual results

There is a back button in the nav bar

### Version

=== Xamarin Studio ===

Version 5.7 (build 661)
Installation UUID: 3e4348fa-e0b3-46a4-8426-58f27e19159e
Runtime:
	Mono 3.12.0 ((detached/a813491)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312000068

=== Apple Developer Tools ===

Xcode 6.1.1 (6611)
Build 6A2008a

=== Xamarin.iOS ===

Version: 8.6.0.51 (Business Edition)
Hash: dfb682f
Branch: 
Build date: 2015-01-08 13:39:32-0500

=== Xamarin.Android ===

Version: 4.20.0.28 (Business Edition)
Android SDK: /Users/codybeyer/Library/Developer/Xamarin/android-sdk-macosx
	Supported Android versions:
		2.1    (API level 7)
		2.2    (API level 8)
		2.3    (API level 10)
		3.1    (API level 12)
		4.0    (API level 14)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.8.0_25"
Java(TM) SE Runtime Environment (build 1.8.0_25-b17)
Java HotSpot(TM) 64-Bit Server VM (build 25.25-b02, mixed mode)

=== Xamarin.Mac ===

Version: 1.10.0.18 (Business Edition)

=== Build Information ===

Release ID: 507000661
Git revision: b70bab61da996da29045ea8ee8aed1a6faedbe78
Build date: 2015-01-05 16:31:31-05
Xamarin addins: 82f6c71490562d6cd125a09287f441902fdac3d7

=== Operating System ===

Mac OS X 10.10.1
Darwin Codys-MBP.router 14.0.0 Darwin Kernel Version 14.0.0
    Fri Sep 19 00:26:44 PDT 2014
    root:xnu-2782.1.97~2/RELEASE_X86_64 x86_64
Comment 1 Sadik Ali 2015-01-19 04:19:57 UTC
I have checked this issue and with the help of steps mentioned in bug description I am able to reproduce this issue.

Observations: I observed that the "this.Navigation.RemovePage (this);" doesn't remove the navigation page. I have also tried to write the "this.Navigation.RemovePage (this)" method in .ctor of Page1 but it is not working either.

Screencast: http://www.screencast.com/t/1tVsl9YiE2Z

Application output: https://gist.github.com/RamChBachkheti/c565f485a88b846e4e4c
Device logs: https://gist.github.com/RamChBachkheti/c563c8f084b8fba302cb
IDE logs: https://gist.github.com/RamChBachkheti/568f07c04189f9a8a944

Additional Info: When I add the following line in page1 .ctor I observed that the navigation bar is removed from the Page1.

   NavigationPage.SetHasNavigationBar (this, false);

Also using PushModalAsync() instead of PushAsync() removed the navigation bar.

Environment Info:

Xamarin.Forms: 1.3.16297

=== Xamarin Studio ===

Version 5.7.1 (build 13)
Installation UUID: 6ea47b0d-1852-4aaf-808d-373ff0a5002b
Runtime:
	Mono 3.12.0 ((detached/a813491)
	GTK+ 2.24.23 (Raleigh theme)

	Package version: 312000068

=== Apple Developer Tools ===

Xcode 6.1 (6604)
Build 6A1052d

=== Xamarin.iOS ===

Version: 8.6.1.7 (Trial Edition)
Hash: a7f03d5
Branch: 
Build date: 2015-01-15 17:36:07-0500

=== Xamarin.Android ===

Version: 5.0.0.16 (Trial Edition)
Android SDK: /Users/jatin66/Desktop/Backup/android-sdk-macosx
	Supported Android versions:
		2.3    (API level 10)
		4.0.3  (API level 15)
		4.1    (API level 16)
		4.2    (API level 17)
		4.3    (API level 18)
		4.4    (API level 19)
		4.4.87 (API level 20)
		5.0    (API level 21)
Java SDK: /usr
java version "1.7.0_65"
Java(TM) SE Runtime Environment (build 1.7.0_65-b17)
Java HotSpot(TM) 64-Bit Server VM (build 24.65-b04, mixed mode)

=== Xamarin.Mac ===

Version: 1.10.0.18 (Trial Edition)

=== Build Information ===

Release ID: 507010013
Git revision: 8e357d6be321e716f361ebc9591e4cee7f217c21
Build date: 2015-01-15 14:23:22-05
Xamarin addins: a6842a7727f64e956f942b8160f7835c9d9076a4

=== Operating System ===

Mac OS X 10.10.0
Darwin Jatin66s-iMac.local 14.0.0 Darwin Kernel Version 14.0.0
    Fri Sep 19 00:26:44 PDT 2014
    root:xnu-2782.1.97~2/RELEASE_X86_64 x86_64
Comment 2 Jason Smith [MSFT] 2015-01-29 19:11:54 UTC
Should be resolved in 1.3.3-pre1
Comment 3 Sadik Ali 2015-02-04 05:28:59 UTC
I have checked this issue with attached project with following builds:

Xamarin.Forms: 1.3.3.6318-pre1
Mac OS X 10.10.0
Xamarin Studio: 5.7.1 (build 16)
Mono 3.12.0 ((detached/a813491)
GTK+ 2.24.23 (Raleigh theme)
Package version: 312000068
Xcode 6.1 (6604)
Build 6A1052d
Xamarin.iOS : 8.6.1.20 (Business Edition)
Xamarin.Android : 4.20.0.28 (Business Edition)
java version "1.7.0_65"
=== Build Information ===
Release ID: 507010016
Git revision: f12fcaf4707ab436bee2df6263eb5333197b262c
Build date: 2015-02-01 21:06:05-05
Xamarin addins: f7b7d34419c9ec24501bfa7c658e80a6305613e0

I observed that "this.Navigation.RemovePage (this);" page removes the navigation page from the device.

Screencast: http://www.screencast.com/t/59fHr1ICqEKT

This issue has been fixed. Hence I am closing this issue.